| EM datagrams on *.kmall format Reg.no. 410224 Revision H

Data Fields
EMdgmMWCrxBeamData_def Struct Reference

#MWC - data block 2: receiver, specific info for each beam. More...

`#include <EMdgmFormat.h>`

## Data Fields
float | beamPointAngReVertical_deg
uint16_t | startRangeSampleNum
uint16_t | detectedRangeInSamples
uint16_t | beamTxSectorNum
uint16_t | numSampleData
float | detectedRangeInSamplesHighResolution
int8_t * | sampleAmplitude05dB_p

## Detailed Description

#MWC - data block 2: receiver, specific info for each beam.

Definition at line 1165 of file EMdgmFormat.h.

## Field Documentation

## ◆ detectedRangeInSamples

uint16_t detectedRangeInSamples

Two way range in samples. Approximation to calculated distance from tx to bottom detection [meters] = soundVelocity_mPerSec * detectedRangeInSamples / (sampleFreq_Hz * 2). The detected range is set to zero when the beam has no bottom detection. Replaced by detectedRangeInSamplesHighResolution for higher precision.

Definition at line 1169 of file EMdgmFormat.h.

## ◆ numSampleData

uint16_t numSampleData

Number of sample data for current beam. Also denoted Ns.

Definition at line 1172 of file EMdgmFormat.h.

## ◆ detectedRangeInSamplesHighResolution

float detectedRangeInSamplesHighResolution

The same information as in detectedRangeInSamples with higher resolution. Two way range in samples. Approximation to calculated distance from tx to bottom detection [meters] = soundVelocity_mPerSec * detectedRangeInSamples / (sampleFreq_Hz * 2). The detected range is set to zero when the beam has no bottom detection.

Definition at line 1173 of file EMdgmFormat.h.

## ◆ sampleAmplitude05dB_p

int8_t* sampleAmplitude05dB_p

Pointer to start of array with Water Column data. Lenght of array = numSampleData. Sample amplitudes in 0.5 dB resolution. Size of array is numSampleData * int8_t. Amplitude array is followed by phase information if phaseFlag >0. Use (numSampleData * int8_t) to jump to next beam, or to start of phase info for this beam, if phase flag > 0.

Definition at line 1175 of file EMdgmFormat.h.

The documentation for this struct was generated from the following file:

- EMdgmFormat.h